<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: AdminLibraryManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_admin_library_manager.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_admin_library_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AdminLibraryManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_admin_library_manager_8h_source.html">AdminLibraryManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for AdminLibraryManager:</div>
<div class="dyncontent">
<div class="center"><img src="class_admin_library_manager__inherit__graph.png" border="0" usemap="#_admin_library_manager_inherit__map" alt="Inheritance graph"/></div>
<map name="_admin_library_manager_inherit__map" id="_admin_library_manager_inherit__map">
<area shape="rect" id="node3" href="class_admin_books_library_manager.html" title="AdminBooksLibraryManager" alt="" coords="5,155,191,181"/>
<area shape="rect" id="node4" href="class_admin_users_library_manager.html" title="AdminUsersLibraryManager" alt="" coords="215,155,397,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for AdminLibraryManager:</div>
<div class="dyncontent">
<div class="center"><img src="class_admin_library_manager__coll__graph.png" border="0" usemap="#_admin_library_manager_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:aeaff387129397aedde35ca1f86856567"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#aeaff387129397aedde35ca1f86856567">search</a> ()</td></tr>
<tr class="separator:aeaff387129397aedde35ca1f86856567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a963a092b054b3b7415e54d2eca4f8d40"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a963a092b054b3b7415e54d2eca4f8d40">addItem</a> ()</td></tr>
<tr class="separator:a963a092b054b3b7415e54d2eca4f8d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee1bf58c2d6bf899dc4b041c488660c7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#aee1bf58c2d6bf899dc4b041c488660c7">editItem</a> ()</td></tr>
<tr class="separator:aee1bf58c2d6bf899dc4b041c488660c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e08b0ada795d4fc3d0ec16be703091f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a2e08b0ada795d4fc3d0ec16be703091f">removeItem</a> ()</td></tr>
<tr class="separator:a2e08b0ada795d4fc3d0ec16be703091f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac399beaf3586b22edc47994502bb4946"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">setCurrentSelectedItem</a> (QListWidgetItem *item)</td></tr>
<tr class="separator:ac399beaf3586b22edc47994502bb4946"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a51b64c42d4ce0fc1a39134e7dd388ef3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager</a> (QWidget *parent=0)</td></tr>
<tr class="separator:a51b64c42d4ce0fc1a39134e7dd388ef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ad78c16165b17801949511ef2796ecd5f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#ad78c16165b17801949511ef2796ecd5f">setup</a> ()</td></tr>
<tr class="separator:ad78c16165b17801949511ef2796ecd5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb0025e768b601acd76138cddb2bc6cb"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#acb0025e768b601acd76138cddb2bc6cb">connectSignalsSlots</a> ()</td></tr>
<tr class="separator:acb0025e768b601acd76138cddb2bc6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a588ee7ab6755c681e967e347ac56d627"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">setupSearchBox</a> (QString nameLabel=&quot;Name:&quot;, QString idLabel=&quot;Id:&quot;)</td></tr>
<tr class="separator:a588ee7ab6755c681e967e347ac56d627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb0c03bb57aceeb27dbb844f900b2a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#abeb0c03bb57aceeb27dbb844f900b2a3">setupButtons</a> ()</td></tr>
<tr class="separator:abeb0c03bb57aceeb27dbb844f900b2a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6811de04a670a1a66112e5f8e7d83988"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">setupSearchResultBox</a> ()</td></tr>
<tr class="separator:a6811de04a670a1a66112e5f8e7d83988"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a59f0cac727aae79f15bbd6095c692d69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59f0cac727aae79f15bbd6095c692d69"></a>
QListWidgetItem *&#160;</td><td class="memItemRight" valign="bottom"><b>selectedItem</b></td></tr>
<tr class="separator:a59f0cac727aae79f15bbd6095c692d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff09703fac7b47f5116895fd99a0597"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afff09703fac7b47f5116895fd99a0597"></a>
QGroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>searchBoxArea</b></td></tr>
<tr class="separator:afff09703fac7b47f5116895fd99a0597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52197860c871634ea6e881d14c4a98c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52197860c871634ea6e881d14c4a98c5"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>findByNameInput</b></td></tr>
<tr class="separator:a52197860c871634ea6e881d14c4a98c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90763ecd1107629d5029bec939d196fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90763ecd1107629d5029bec939d196fa"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>findByIdInput</b></td></tr>
<tr class="separator:a90763ecd1107629d5029bec939d196fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada3f3034d1b289427464c2be1cc375c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada3f3034d1b289427464c2be1cc375c2"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>searchButton</b></td></tr>
<tr class="separator:ada3f3034d1b289427464c2be1cc375c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab61a1d7306f123995ccbf9215edb29a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab61a1d7306f123995ccbf9215edb29a4"></a>
QGroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>buttonsArea</b></td></tr>
<tr class="separator:ab61a1d7306f123995ccbf9215edb29a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ffe008628ccc754165902f123f0dc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73ffe008628ccc754165902f123f0dc1"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>addButton</b></td></tr>
<tr class="separator:a73ffe008628ccc754165902f123f0dc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade0bf9241ca57cd4cdd02fabfb699a44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade0bf9241ca57cd4cdd02fabfb699a44"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>editButton</b></td></tr>
<tr class="separator:ade0bf9241ca57cd4cdd02fabfb699a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a898026f8e6f36bdfb00c580b77c082a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a898026f8e6f36bdfb00c580b77c082a8"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>removeButton</b></td></tr>
<tr class="separator:a898026f8e6f36bdfb00c580b77c082a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2753ff61f6a78c5028c1d8605bd76cec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2753ff61f6a78c5028c1d8605bd76cec"></a>
QGroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>searchResultsArea</b></td></tr>
<tr class="separator:a2753ff61f6a78c5028c1d8605bd76cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a041486878a94ee918db5c24a55883e87"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a041486878a94ee918db5c24a55883e87"></a>
QListWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>searchResultsList</b></td></tr>
<tr class="separator:a041486878a94ee918db5c24a55883e87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Lets admin manage library stuff (e.g books, users ..) Features:</p><ul>
<li>add new item</li>
<li>remove item</li>
<li>edit item box</li>
<li>list box with search results </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a51b64c42d4ce0fc1a39134e7dd388ef3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AdminLibraryManager::AdminLibraryManager </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New widget </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>widget to show widget in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new widget</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a963a092b054b3b7415e54d2eca4f8d40"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::addItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Opens dialog to add new item in database </p>

</div>
</div>
<a class="anchor" id="acb0025e768b601acd76138cddb2bc6cb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::connectSignalsSlots </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Connect signal and slots of object managed by backend </p>

</div>
</div>
<a class="anchor" id="aee1bf58c2d6bf899dc4b041c488660c7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::editItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Opens dialog to edit selected item </p>

</div>
</div>
<a class="anchor" id="a2e08b0ada795d4fc3d0ec16be703091f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::removeItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Opens dialog to remove selected item from database </p>

</div>
</div>
<a class="anchor" id="aeaff387129397aedde35ca1f86856567"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::search </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Search library for book </p>

</div>
</div>
<a class="anchor" id="ac399beaf3586b22edc47994502bb4946"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::setCurrentSelectedItem </td>
          <td>(</td>
          <td class="paramtype">QListWidgetItem *&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets current selected item </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">item</td><td>item that is currently selected by user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad78c16165b17801949511ef2796ecd5f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::setup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups gui </p>

</div>
</div>
<a class="anchor" id="abeb0c03bb57aceeb27dbb844f900b2a3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::setupButtons </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups add/edit/remove buttons </p>

</div>
</div>
<a class="anchor" id="a588ee7ab6755c681e967e347ac56d627"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::setupSearchBox </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>nameLabel</em> = <code>&quot;Name:&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>idLabel</em> = <code>&quot;Id:&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups search box </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nameLabel</td><td>label text of name field </td></tr>
    <tr><td class="paramname">idLabel</td><td>label text if id field </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6811de04a670a1a66112e5f8e7d83988"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminLibraryManager::setupSearchResultBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups box with search results </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/widgets/AdminLibraryManager/<a class="el" href="_admin_library_manager_8h_source.html">AdminLibraryManager.h</a></li>
<li>gui/widgets/AdminLibraryManager/AdminLibraryManager.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
